
QGIS Application - Feature request #3524

Vector layer placement in leged on adding a new one

2011-02-25 12:57 AM - marisn -

Status: Open

Priority: Low

Assignee:

Category: Map Legend

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 13584

Description

Current QGIS version adds vector layers in some random order (as selected?) if multiple vector layers are added at the same time. It

would be nice to sort those new layers by type: points at the top, lines in the middle, polygons at the bottom. IMHO rasters also should go

to the bottom by default.

History

#1 - 2011-03-04 10:07 AM - Paolo Cavallini

I think the order is the same as in the TOC, which seems appropriate because is the same order as they are shown. Please expalin if I'm missing

something, or close this down otherwise. Thanks.

#2 - 2011-12-16 01:49 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-15 10:11 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:32 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2015-11-20 03:07 AM - Médéric RIBREUX

- Status changed from Open to Feedback

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

Hello, bug triage...

I don't know what to do with this feature request...

For the moment, layers from all connections dialog boxes and from vector files are opened in the reverse alphabetic order name of the layer.

We could have the following:

- Stack with alphabetic name order.

- Stack with file selection order (QFileDialog that keeps the clicks order).

- Stack with the "geometric" rule: Points layers on top, followed by Lines layers followed by polygons layers.

- Stack with a custom "geometric" rule made by the user (who set the geometric order according to what he wants).

Perhaps we need to introduce a dedicated setting for this in Settings -> Canvas & Legend -> Layer legend (or another GroupBox) ?
#6 - 2015-12-22 05:23 AM - Médéric RIBREUX

- Status changed from Feedback to Open

#7 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

Files
